Type::Tiny::_HalfOp(3)

NAME
Type::Tiny::_HalfOp - half-completed overloaded operation

STATUS
This module is considered part of Type-Tiny's internals. It is not covered by the Type-Tiny stability policy.

DESCRIPTION
This is not considered part of Type::Tiny's public API.

It is a class representing a half-completed overloaded operation.

  Constructor

"new($operation, $param, $type)"

  Method

complete($type)

BUGS
Please report any bugs to <https://github.com/tobyink/p5-type-tiny/issues>.

AUTHOR
Graham Knop <haarg@cpan.org>.

COPYRIGHT AND LICENCE
This software is copyright (c) 2014, 2017-2025 by Graham Knop.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.

DISCLAIMER OF WARRANTIES
THIS PACKAGE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.